net/p5-Net-FTPSSL - The NetBSD Packages Collection

Perl FTP over SSL/TLS class

Net::FTPSSL is an object oriented Perl module which implements a
simple FTP client over a Secure Shell Layer (SSL) connection written
following the directives described in RFC959 and RFC2228.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

security/p5-IO-Socket-SSL security/p5-Net-SSLeay lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0earmv7hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0earmv7hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0i386p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0i386p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0i386p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0powerpcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0powerpcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0powerpcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0powerpcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0x86_64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0x86_64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 8.0x86_64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0aarch64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0aarch64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0alphap5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0alphap5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0alphap5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0earmv6hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0earmv6hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0earmv6hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0earmv6hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0earmv7hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0earmv7hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0earmv7hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0earmv7hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0earmv7hfp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0i386p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0i386p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0i386p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0mips64ebp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0mips64ebp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0mips64ebp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0powerpcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0powerpcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0powerpcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0powerpcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0sparc64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0sparc64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0sparc64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0sparcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0sparcp5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0x86_64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0x86_64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0x86_64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0x86_64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0x86_64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0x86_64p5-Net-FTPSSL-0.42nb1.tgz
NetBSD 9.0x86_64p5-Net-FTPSSL-0.42nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.